## gcc-defaults-mipsen 1.189

=== debian/changelog ===
gcc-defaults-mipsen (1.189) unstable; urgency=medium

  Base on gcc-defaults (1.189).
  * Bump GCC 10 version to 10.2.0.
  * Build gcc-offload-nvptx on ppc64el.
  * Fix some (new questionable) lintian warnings.
  * Bump GCC 9 version to 9.3.0.
  * Bump standards and debhelper versions.

 -- YunQiang Su <syq@debian.org>  Wed, 04 Nov 2020 16:06:08 +0800

gcc-defaults-mipsen (1.187) experimental; urgency=medium

  * Rebase on gcc-defaults 1.187
    - Default to GCC 10.
    - Build gm2 packages on x32.
    - Build a gcc-offload-amdgcn package.
    - Fix some lintian warnings.
    - Bump standards version.
  * Don't build native package for mipsen. It was an error:
    they are included in gcc-defualts.

 -- YunQiang Su <syq@debian.org>  Tue, 04 Feb 2020 11:19:42 +0800
