=== debian/control ===
Source: gcc-defaults-mipsen
Section: devel
Priority: standard
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
Standards-Version: 4.5.0
Build-Depends: m4, debhelper (>= 11),
  dpkg-dev (>= 1.17.11),
  gcc-10-base (>= 10.1.0-6~),
  lsb-release
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-defaults
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-defaults.git

Package: cpp-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-mips-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the mips architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for mips architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the mips architecture.

Package: gcc-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-mips-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-mips-cross | libc-dev-mips-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-mips-linux-gnu, gcc-doc
Description: GNU C compiler for the mips architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the mips architecture.

Package: g++-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  gcc-mips-linux-gnu (= ${version:cpp}),
  g++-${pv:gpp}-mips-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the mips architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler
 for the mips architecture.

Package: gobjc-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gcc-mips-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-mips-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the mips architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the mips architecture.

Package: gobjc++-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gcc-mips-linux-gnu (>= ${version:cpp}),
  gobjc++-${pv:gobjcxx}-mips-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-mips-linux-gnu (>= ${version:cpp}), gobjc-mips-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the mips architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the mips architecture.

Package: gfortran-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  gcc-mips-linux-gnu (= ${version:gcc}),
  gfortran-${pv:gfort}-mips-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the mips architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the mips architecture.

Package: gccgo-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  g++-mips-linux-gnu (>= ${version:gcc}),
  gccgo-${pv:ggo}-mips-linux-gnu ${reqv:ggo},
  ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler (based on GCC) for the mips architecture
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 for the mips architecture.

Package: gdc-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gdc-${pv:gdc}-mips-linux-gnu ${reqv:gdc},
  ${misc:Depends}
Description: GNU D compiler (based on GCC) for the mips architecture
 This is the GNU D compiler, which compiles D on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU D cross-compiler
 for the mips architecture.

Package: gm2-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gm2-${pv:gm2}-mips-linux-gnu ${reqv:gm2},
  ${misc:Depends}
Description: GNU Modula-2 compiler (based on GCC) for the mips architecture
 This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Modula-2 cross-compiler
 for the mips architecture.

Package: gcc-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  gcc-mips-linux-gnu (= ${version:gcc}),
  gcc-${pv:gcc}-multilib-mips-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-mips-cross | libc-dev-mips-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-mips-linux-gnu, gcc-doc
Description: GNU C compiler for the mips architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the mips architecture.

Package: g++-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  g++-mips-linux-gnu (= ${version:gpp}),
  gcc-multilib-mips-linux-gnu (= ${version:gcc}),
  g++-${pv:gpp}-multilib-mips-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the mips architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++
 cross-compiler for the mips architecture.

Package: gobjc-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gobjc-mips-linux-gnu (>= ${version:gobjc}),
  gcc-multilib-mips-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-multilib-mips-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the mips architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the mips architecture.

Package: gobjc++-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gcc-multilib-mips-linux-gnu (>= ${version:cpp}),
  gobjc++-mips-linux-gnu (>= ${version:gobjcxx}),
  gobjc++-${pv:gobjcxx}-multilib-mips-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-mips-linux-gnu (>= ${version:cpp}),
  gobjc-mips-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the mips architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the mips architecture.

Package: gfortran-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (= ${version:cpp}),
  gcc-multilib-mips-linux-gnu (= ${version:gcc}),
  gfortran-mips-linux-gnu (= ${version:gfort}),
  gfortran-${pv:gfort}-multilib-mips-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the mips architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the mips architecture.

Package: gccgo-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  g++-multilib-mips-linux-gnu (>= ${version:gcc}),
  gccgo-mips-linux-gnu (>= ${version:ggo}),
  gccgo-${pv:ggo}-multilib-mips-linux-gnu ${reqv:ggo},
  ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler (based on GCC) for the mips architecture
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 for the mips architecture.

Package: gdc-multilib-mips-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
  gdc-${pv:gdc}-multilib-mips-linux-gnu ${reqv:gdc},
  gdc-mips-linux-gnu (>= ${version:gdc}),
  ${misc:Depends}
Description: GNU D compiler (based on GCC) for the mips architecture
 This is the GNU D compiler, which compiles D on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU D cross-compiler
 for the mips architecture.

Package: cpp-mipsel-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mips64r6el arm64 ppc64el
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-mipsel-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the mipsel architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for mipsel architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the mipsel architecture.

Package: gcc-mipsel-linux-gnu
Priority: optional
Architecture: amd64 i386 x32 mips64el mips64r6el arm64 ppc64el
Multi-Arch: foreign
Depends: cpp-mipsel-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-mipsel-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-mipsel-cross | libc-dev-mipsel-cross
