## gcc-defaults-mipsen 1.194

=== debian/changelog ===
gcc-defaults-mipsen (1.194) unstable; urgency=medium

  Base on gcc-defaults 1.194.
  * Default to GCC 11.

 -- YunQiang Su <syq@debian.org>  Mon, 11 Oct 2021 17:57:44 +0800
