## gcc-defaults-mipsen 1.203

=== debian/changelog ===
gcc-defaults-mipsen (1.203) unstable; urgency=medium

  * Base on gcc-defaults-ports 1.203
    Default to gcc 12

 -- YunQiang Su <syq@debian.org>  Sat, 15 Oct 2022 21:16:11 +0800
