## gcc-defaults-mipsen 1.220

=== debian/changelog ===
gcc-defaults-mipsen (1.220) unstable; urgency=medium

  * Base on gcc-defaults 1.220.
    - Bump versions to 14.2.

 -- YunQiang Su <syq@debian.org>  Sun, 11 Aug 2024 09:20:41 +0800

gcc-defaults-mipsen (1.213) unstable; urgency=medium

  * Base on gcc-defaults-ports 1.213
    Default to gcc 13.
    Remove debian/compact.

 -- YunQiang Su <syq@debian.org>  Mon, 10 Jun 2024 13:40:08 +0800
