=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: standard
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
-Standards-Version: 4.6.0
-Build-Depends: m4, debhelper (>= 11),
-  dpkg-dev (>= 1.17.11),
-  gcc-11-base (>= 11.2.0-7~),
+Standards-Version: 4.7.0
+Build-Depends: m4, debhelper-compat (= 13),
+  gcc-14-base (>= 14.1.0-4~),
   lsb-release
-Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-defaults
-Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-defaults.git
+Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-defaults/tree/mipsen
+Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-defaults.git -b mipsen
 
 Package: cpp-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Section: interpreters
 Depends: cpp-${pv:cpp}-mips-linux-gnu ${reqv:cpp}, ${misc:Depends}
+Breaks: cpp (<< 4:13.2.0-3)
+Replaces: cpp (<< 4:13.2.0-3)
 Suggests: cpp-doc
 Description: GNU C preprocessor (cpp) for the mips architecture
  The GNU C preprocessor is a macro processor that is used automatically
@@ -30,12 +31,14 @@
 
 Package: gcc-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (= ${version:cpp}),
   gcc-${pv:gcc}-mips-linux-gnu ${reqv:gcc},
   ${misc:Depends}
-Recommends: libc6-dev-mips-cross | libc-dev-mips-cross
+Breaks: gcc (<< 4:13.2.0-3)
+Replaces: gcc (<< 4:13.2.0-3)
+Recommends: ${gcc-mips-linux-gnu:recommends}
 Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-mips-linux-gnu, gcc-doc
 Description: GNU C compiler for the mips architecture
  This is the GNU C compiler, a fairly portable optimizing compiler for C.
@@ -45,12 +48,14 @@
 
 Package: g++-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (= ${version:cpp}),
   gcc-mips-linux-gnu (= ${version:cpp}),
   g++-${pv:gpp}-mips-linux-gnu ${reqv:gpp},
   ${misc:Depends}
+Breaks: g++ (<< 4:13.2.0-3)
+Replaces: g++ (<< 4:13.2.0-3)
 Description: GNU C++ compiler for the mips architecture
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
  .
@@ -59,12 +64,14 @@
 
 Package: gobjc-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
   gcc-mips-linux-gnu (>= ${version:cpp}),
   gobjc-${pv:gobjc}-mips-linux-gnu ${reqv:gobjc},
   ${misc:Depends}
+Breaks: gobjc (<< 4:13.2.0-3)
+Replaces: gobjc (<< 4:13.2.0-3)
 Description: GNU Objective-C compiler for the mips architecture
  This is the GNU Objective-C compiler, which compiles Objective-C on platforms
  supported by the gcc compiler. It uses the gcc backend to generate optimized
@@ -75,13 +82,15 @@
 
 Package: gobjc++-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
   gcc-mips-linux-gnu (>= ${version:cpp}),
   gobjc++-${pv:gobjcxx}-mips-linux-gnu ${reqv:gobjcxx},
   ${misc:Depends}
 Recommends: g++-mips-linux-gnu (>= ${version:cpp}), gobjc-mips-linux-gnu (>= ${version:cpp})
+Breaks: gobjc++ (<< 4:13.2.0-3)
+Replaces: gobjc++ (<< 4:13.2.0-3)
 Description: GNU Objective-C++ compiler for the mips architecture
  This is the GNU Objective-C++ compiler, which compiles
  Objective-C++ on platforms supported by the gcc compiler. It uses the
@@ -92,13 +101,15 @@
 
 Package: gfortran-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (= ${version:cpp}),
   gcc-mips-linux-gnu (= ${version:gcc}),
   gfortran-${pv:gfort}-mips-linux-gnu ${reqv:gfort},
   ${misc:Depends}
 Suggests: gfortran-doc
+Breaks: gfortran (<< 4:13.2.0-3)
+Replaces: gfortran (<< 4:13.2.0-3)
 Description: GNU Fortran 95 compiler for the mips architecture
  This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
  supported by the gcc compiler. It uses the gcc backend to generate optimized
@@ -109,13 +120,15 @@
 
 Package: gccgo-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
   g++-mips-linux-gnu (>= ${version:gcc}),
   gccgo-${pv:ggo}-mips-linux-gnu ${reqv:ggo},
   ${misc:Depends}
 Suggests: gccgo-doc
+Breaks: gccgo (<< 4:13.2.0-3)
+Replaces: gccgo (<< 4:13.2.0-3)
 Description: Go compiler (based on GCC) for the mips architecture
  This is the GNU Go compiler, which compiles Go on platforms supported by
  the gcc compiler. It uses the gcc backend to generate optimized code.
@@ -125,11 +138,13 @@
 
 Package: gdc-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
   gdc-${pv:gdc}-mips-linux-gnu ${reqv:gdc},
   ${misc:Depends}
+Breaks: gdc (<< 4:13.2.0-3)
+Replaces: gdc (<< 4:13.2.0-3)
 Description: GNU D compiler (based on GCC) for the mips architecture
  This is the GNU D compiler, which compiles D on platforms supported by
  the gcc compiler. It uses the gcc backend to generate optimized code.
@@ -139,11 +154,13 @@
 
 Package: gm2-mips-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: foreign
-Depends: cpp-mips-linux-gnu (>= ${version:cpp}),
+Architecture:  amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-mips-linux-gnu (= ${version:cpp}),
   gm2-${pv:gm2}-mips-linux-gnu ${reqv:gm2},
   ${misc:Depends}
+Breaks: gm2 (<< 4:13.2.0-3)
+Replaces: gm2 (<< 4:13.2.0-3)
 Description: GNU Modula-2 compiler (based on GCC) for the mips architecture
  This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
  supported by the gcc compiler. It uses the gcc backend to generate optimized
@@ -264,26 +281,13 @@
 
 Package: cpp-mipsel-linux-gnu
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mips64r6el arm64 ppc64el
+Architecture:  amd64 i386 x32 mips64el mips64r6el arm64 ppc64el
 Multi-Arch: foreign
 Section: interpreters
 Depends: cpp-${pv:cpp}-mipsel-linux-gnu ${reqv:cpp}, ${misc:Depends}
+Breaks: cpp (<< 4:13.2.0-3)
+Replaces: cpp (<< 4:13.2.0-3)
 Suggests: cpp-doc
 Description: GNU C preprocessor (cpp) for the mipsel architecture
  The GNU C preprocessor is a macro processor that is used automatically
  by the GNU C compiler to transform programs before actual compilation.
- .
- This package has been separated from gcc for the benefit of those who
- require the preprocessor but not the cross-compiler for mipsel architecture.
- .
- This is a dependency package providing the default GNU C preprocessor
- for the mipsel architecture.
-
-Package: gcc-mipsel-linux-gnu
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mips64r6el arm64 ppc64el
-Multi-Arch: foreign
-Depends: cpp-mipsel-linux-gnu (= ${version:cpp}),
-  gcc-${pv:gcc}-mipsel-linux-gnu ${reqv:gcc},
-  ${misc:Depends}
-Recommends: libc6-dev-mipsel-cross | libc-dev-mipsel-cross
